package com.iamberry.wechat.core.entity.eo;

import java.io.Serializable;

/**
 *  订单项关联赠品池类
 * @author Administrator
 * @Date 2019-10-29
 */
public class ItemGift  implements Serializable {
    private static final long serialVersionUID = 1321211845089063931L;
    //关联id
    private Integer itemGiftId;
    //订单项ID
    private Integer itemId;
    //赠品池ID
    private Integer giftPoolId;
    //数量'
    private Integer itemGiftNum;

    public Integer getItemGiftId(){
        return itemGiftId;
    }

    public void setItemGiftId(Integer  itemGiftId){
        this.itemGiftId=itemGiftId;
    }

    public Integer getItemId(){
        return itemId;
    }

    public void setItemId(Integer  itemId){
        this.itemId=itemId;
    }

    public Integer getGiftPoolId(){
        return giftPoolId;
    }

    public void setGiftPoolId(Integer  giftPoolId){
        this.giftPoolId=giftPoolId;
    }

    public Integer getItemGiftNum(){
        return itemGiftNum;
    }

    public void setItemGiftNum(Integer  itemGiftNum){
        this.itemGiftNum=itemGiftNum;
    }
}